#global-content {
  padding-left: 0;
  padding-right: 0;

  display: flex;
  flex-direction: column;
  gap: 15px;
}

#introduction-section,
#notice,
#docs-announcements,
#documentation-library {
  background-color: rgb(207, 207, 207);

  display: flex;
  flex-direction: row;
  gap: 45px;
}

#notice,
#docs-announcements,
#documentation-library {
  padding: 50px;
}

#notice,
#docs-announcements {
  margin-bottom: 80px;
}

#docs-announcements,
#documentation-library {
  background-color: rgb(190, 190, 190);

  display: flex;
  flex-direction: column;
}

.introduction {
  flex: 1;

  padding: 50px;
}

#introduction-title {
  font-size: 50px;
  margin-bottom: 40px;
}

#introduction-body {
  font-size: 28px;

  line-height: 1.6;

  color: rgb(53, 53, 53);

  margin-bottom: 40px;
}

.button-accent {
  font-size: 18px;
  padding: 12px 20px;
}

.banner-wrapper {
  flex: 1;
  display: flex;
}

#introduction-banner {
  object-fit: cover;
  width: 100%;
}

h3 {
  font-size: 28px;
}

#announcements-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 10px;
}

.da-item {
  background-color: rgb(216, 216, 216);
  cursor: pointer;
}

.da-item:hover {
  background-color: rgb(207, 207, 207);
}

.da-item-i {
  width: 100%;
  aspect-ratio: 16/9;
  background-color: rgb(82, 82, 82);
}

.da-item-i img {
  width: 100%;
  object-fit: cover;
}

.da-item-c {
  padding: 15px;
}

.da-item-t {
  font-weight: 600;

  font-size: 20px;

  margin-bottom: 8px;
}

.da-item-d {
  font-size: 18px;
}

.da-item-fd {
  display: none;
}

#documentation-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 10px;
}

.dl-item {
  background-color: rgb(216, 216, 216);
  cursor: pointer;
  display: block;
  text-decoration: none;
  color: inherit;
}

.dl-item:hover {
  background-color: rgb(207, 207, 207);
}

.dl-i {
  width: 100%;
  aspect-ratio: 4/3;
  display: flex;
  justify-content: center;
  align-items: center;

  background-color: rgb(206, 206, 206);

  padding: 30px 0px;
}

.dl-c {
  padding: 15px;
}

.dl-t {
  font-weight: 600;

  font-size: 20px;

  margin-bottom: 8px;
}

.dl-d {
  font-size: 18px;
  font-weight: 400;
}

.page-dim {
  display: none;
  position: fixed;

  width: 100%;
  height: 100%;

  top: 0;
  left: 0;

  background-color: rgba(0, 0, 0, 0.507);
}

#da-notification {
  display: none;
  position: fixed;

  width: 70%;
  max-height: 70%;
  overflow-y: scroll;

  top: 50%;
  left: 50%;

  transform: translate(-50%, -50%);

  background-color: rgb(204, 204, 204);

  flex-direction: column;
  gap: 15px;
}

#da-n-i {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

#da-n-t {
  padding: 30px 30px 0px 30px;
}

#da-n-d {
  padding: 0px 30px 30px 30px;
}

@media (max-width: 1480px) {
  #announcements-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);

    row-gap: 10px;
  }
  #documentation-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);

    row-gap: 10px;
  }
}

@media (max-width: 1030px) {
  #introduction-section {
    flex-direction: column;
  }
}

@media (max-width: 790px) {
  .da-item-t,
  .dl-t {
    font-size: 18px;
  }

  .da-item-d,
  .dl-d {
    font-size: 16px;
  }
}

@media (max-width: 730px) {
  #announcements-grid {
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(4, 1fr);

    row-gap: 10px;
  }
  #documentation-grid {
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(3, 1fr);

    row-gap: 10px;
  }
}

@media (max-width: 722px) {
  #introduction-title {
    font-size: 30px;
    margin-bottom: 20px;
  }

  #introduction-body {
    font-size: 20px;
  }

  .button-accent {
    font-size: 16px;
    padding: 10px 18px;
  }
}